/*******************************************************************************
* File Name: AN03.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AN03_H) /* Pins AN03_H */
#define CY_PINS_AN03_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "AN03_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 AN03__PORT == 15 && ((AN03__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    AN03_Write(uint8 value);
void    AN03_SetDriveMode(uint8 mode);
uint8   AN03_ReadDataReg(void);
uint8   AN03_Read(void);
void    AN03_SetInterruptMode(uint16 position, uint16 mode);
uint8   AN03_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the AN03_SetDriveMode() function.
     *  @{
     */
        #define AN03_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define AN03_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define AN03_DM_RES_UP          PIN_DM_RES_UP
        #define AN03_DM_RES_DWN         PIN_DM_RES_DWN
        #define AN03_DM_OD_LO           PIN_DM_OD_LO
        #define AN03_DM_OD_HI           PIN_DM_OD_HI
        #define AN03_DM_STRONG          PIN_DM_STRONG
        #define AN03_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define AN03_MASK               AN03__MASK
#define AN03_SHIFT              AN03__SHIFT
#define AN03_WIDTH              1u

/* Interrupt constants */
#if defined(AN03__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in AN03_SetInterruptMode() function.
     *  @{
     */
        #define AN03_INTR_NONE      (uint16)(0x0000u)
        #define AN03_INTR_RISING    (uint16)(0x0001u)
        #define AN03_INTR_FALLING   (uint16)(0x0002u)
        #define AN03_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define AN03_INTR_MASK      (0x01u) 
#endif /* (AN03__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AN03_PS                     (* (reg8 *) AN03__PS)
/* Data Register */
#define AN03_DR                     (* (reg8 *) AN03__DR)
/* Port Number */
#define AN03_PRT_NUM                (* (reg8 *) AN03__PRT) 
/* Connect to Analog Globals */                                                  
#define AN03_AG                     (* (reg8 *) AN03__AG)                       
/* Analog MUX bux enable */
#define AN03_AMUX                   (* (reg8 *) AN03__AMUX) 
/* Bidirectional Enable */                                                        
#define AN03_BIE                    (* (reg8 *) AN03__BIE)
/* Bit-mask for Aliased Register Access */
#define AN03_BIT_MASK               (* (reg8 *) AN03__BIT_MASK)
/* Bypass Enable */
#define AN03_BYP                    (* (reg8 *) AN03__BYP)
/* Port wide control signals */                                                   
#define AN03_CTL                    (* (reg8 *) AN03__CTL)
/* Drive Modes */
#define AN03_DM0                    (* (reg8 *) AN03__DM0) 
#define AN03_DM1                    (* (reg8 *) AN03__DM1)
#define AN03_DM2                    (* (reg8 *) AN03__DM2) 
/* Input Buffer Disable Override */
#define AN03_INP_DIS                (* (reg8 *) AN03__INP_DIS)
/* LCD Common or Segment Drive */
#define AN03_LCD_COM_SEG            (* (reg8 *) AN03__LCD_COM_SEG)
/* Enable Segment LCD */
#define AN03_LCD_EN                 (* (reg8 *) AN03__LCD_EN)
/* Slew Rate Control */
#define AN03_SLW                    (* (reg8 *) AN03__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define AN03_PRTDSI__CAPS_SEL       (* (reg8 *) AN03__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define AN03_PRTDSI__DBL_SYNC_IN    (* (reg8 *) AN03__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define AN03_PRTDSI__OE_SEL0        (* (reg8 *) AN03__PRTDSI__OE_SEL0) 
#define AN03_PRTDSI__OE_SEL1        (* (reg8 *) AN03__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define AN03_PRTDSI__OUT_SEL0       (* (reg8 *) AN03__PRTDSI__OUT_SEL0) 
#define AN03_PRTDSI__OUT_SEL1       (* (reg8 *) AN03__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define AN03_PRTDSI__SYNC_OUT       (* (reg8 *) AN03__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(AN03__SIO_CFG)
    #define AN03_SIO_HYST_EN        (* (reg8 *) AN03__SIO_HYST_EN)
    #define AN03_SIO_REG_HIFREQ     (* (reg8 *) AN03__SIO_REG_HIFREQ)
    #define AN03_SIO_CFG            (* (reg8 *) AN03__SIO_CFG)
    #define AN03_SIO_DIFF           (* (reg8 *) AN03__SIO_DIFF)
#endif /* (AN03__SIO_CFG) */

/* Interrupt Registers */
#if defined(AN03__INTSTAT)
    #define AN03_INTSTAT            (* (reg8 *) AN03__INTSTAT)
    #define AN03_SNAP               (* (reg8 *) AN03__SNAP)
    
	#define AN03_0_INTTYPE_REG 		(* (reg8 *) AN03__0__INTTYPE)
#endif /* (AN03__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_AN03_H */


/* [] END OF FILE */
