/*******************************************************************************
* File Name: AN08.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AN08_H) /* Pins AN08_H */
#define CY_PINS_AN08_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "AN08_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 AN08__PORT == 15 && ((AN08__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    AN08_Write(uint8 value);
void    AN08_SetDriveMode(uint8 mode);
uint8   AN08_ReadDataReg(void);
uint8   AN08_Read(void);
void    AN08_SetInterruptMode(uint16 position, uint16 mode);
uint8   AN08_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the AN08_SetDriveMode() function.
     *  @{
     */
        #define AN08_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define AN08_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define AN08_DM_RES_UP          PIN_DM_RES_UP
        #define AN08_DM_RES_DWN         PIN_DM_RES_DWN
        #define AN08_DM_OD_LO           PIN_DM_OD_LO
        #define AN08_DM_OD_HI           PIN_DM_OD_HI
        #define AN08_DM_STRONG          PIN_DM_STRONG
        #define AN08_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define AN08_MASK               AN08__MASK
#define AN08_SHIFT              AN08__SHIFT
#define AN08_WIDTH              1u

/* Interrupt constants */
#if defined(AN08__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in AN08_SetInterruptMode() function.
     *  @{
     */
        #define AN08_INTR_NONE      (uint16)(0x0000u)
        #define AN08_INTR_RISING    (uint16)(0x0001u)
        #define AN08_INTR_FALLING   (uint16)(0x0002u)
        #define AN08_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define AN08_INTR_MASK      (0x01u) 
#endif /* (AN08__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AN08_PS                     (* (reg8 *) AN08__PS)
/* Data Register */
#define AN08_DR                     (* (reg8 *) AN08__DR)
/* Port Number */
#define AN08_PRT_NUM                (* (reg8 *) AN08__PRT) 
/* Connect to Analog Globals */                                                  
#define AN08_AG                     (* (reg8 *) AN08__AG)                       
/* Analog MUX bux enable */
#define AN08_AMUX                   (* (reg8 *) AN08__AMUX) 
/* Bidirectional Enable */                                                        
#define AN08_BIE                    (* (reg8 *) AN08__BIE)
/* Bit-mask for Aliased Register Access */
#define AN08_BIT_MASK               (* (reg8 *) AN08__BIT_MASK)
/* Bypass Enable */
#define AN08_BYP                    (* (reg8 *) AN08__BYP)
/* Port wide control signals */                                                   
#define AN08_CTL                    (* (reg8 *) AN08__CTL)
/* Drive Modes */
#define AN08_DM0                    (* (reg8 *) AN08__DM0) 
#define AN08_DM1                    (* (reg8 *) AN08__DM1)
#define AN08_DM2                    (* (reg8 *) AN08__DM2) 
/* Input Buffer Disable Override */
#define AN08_INP_DIS                (* (reg8 *) AN08__INP_DIS)
/* LCD Common or Segment Drive */
#define AN08_LCD_COM_SEG            (* (reg8 *) AN08__LCD_COM_SEG)
/* Enable Segment LCD */
#define AN08_LCD_EN                 (* (reg8 *) AN08__LCD_EN)
/* Slew Rate Control */
#define AN08_SLW                    (* (reg8 *) AN08__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define AN08_PRTDSI__CAPS_SEL       (* (reg8 *) AN08__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define AN08_PRTDSI__DBL_SYNC_IN    (* (reg8 *) AN08__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define AN08_PRTDSI__OE_SEL0        (* (reg8 *) AN08__PRTDSI__OE_SEL0) 
#define AN08_PRTDSI__OE_SEL1        (* (reg8 *) AN08__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define AN08_PRTDSI__OUT_SEL0       (* (reg8 *) AN08__PRTDSI__OUT_SEL0) 
#define AN08_PRTDSI__OUT_SEL1       (* (reg8 *) AN08__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define AN08_PRTDSI__SYNC_OUT       (* (reg8 *) AN08__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(AN08__SIO_CFG)
    #define AN08_SIO_HYST_EN        (* (reg8 *) AN08__SIO_HYST_EN)
    #define AN08_SIO_REG_HIFREQ     (* (reg8 *) AN08__SIO_REG_HIFREQ)
    #define AN08_SIO_CFG            (* (reg8 *) AN08__SIO_CFG)
    #define AN08_SIO_DIFF           (* (reg8 *) AN08__SIO_DIFF)
#endif /* (AN08__SIO_CFG) */

/* Interrupt Registers */
#if defined(AN08__INTSTAT)
    #define AN08_INTSTAT            (* (reg8 *) AN08__INTSTAT)
    #define AN08_SNAP               (* (reg8 *) AN08__SNAP)
    
	#define AN08_0_INTTYPE_REG 		(* (reg8 *) AN08__0__INTTYPE)
#endif /* (AN08__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_AN08_H */


/* [] END OF FILE */
