/*******************************************************************************
* File Name: AN09.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AN09_H) /* Pins AN09_H */
#define CY_PINS_AN09_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "AN09_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 AN09__PORT == 15 && ((AN09__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    AN09_Write(uint8 value);
void    AN09_SetDriveMode(uint8 mode);
uint8   AN09_ReadDataReg(void);
uint8   AN09_Read(void);
void    AN09_SetInterruptMode(uint16 position, uint16 mode);
uint8   AN09_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the AN09_SetDriveMode() function.
     *  @{
     */
        #define AN09_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define AN09_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define AN09_DM_RES_UP          PIN_DM_RES_UP
        #define AN09_DM_RES_DWN         PIN_DM_RES_DWN
        #define AN09_DM_OD_LO           PIN_DM_OD_LO
        #define AN09_DM_OD_HI           PIN_DM_OD_HI
        #define AN09_DM_STRONG          PIN_DM_STRONG
        #define AN09_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define AN09_MASK               AN09__MASK
#define AN09_SHIFT              AN09__SHIFT
#define AN09_WIDTH              1u

/* Interrupt constants */
#if defined(AN09__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in AN09_SetInterruptMode() function.
     *  @{
     */
        #define AN09_INTR_NONE      (uint16)(0x0000u)
        #define AN09_INTR_RISING    (uint16)(0x0001u)
        #define AN09_INTR_FALLING   (uint16)(0x0002u)
        #define AN09_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define AN09_INTR_MASK      (0x01u) 
#endif /* (AN09__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AN09_PS                     (* (reg8 *) AN09__PS)
/* Data Register */
#define AN09_DR                     (* (reg8 *) AN09__DR)
/* Port Number */
#define AN09_PRT_NUM                (* (reg8 *) AN09__PRT) 
/* Connect to Analog Globals */                                                  
#define AN09_AG                     (* (reg8 *) AN09__AG)                       
/* Analog MUX bux enable */
#define AN09_AMUX                   (* (reg8 *) AN09__AMUX) 
/* Bidirectional Enable */                                                        
#define AN09_BIE                    (* (reg8 *) AN09__BIE)
/* Bit-mask for Aliased Register Access */
#define AN09_BIT_MASK               (* (reg8 *) AN09__BIT_MASK)
/* Bypass Enable */
#define AN09_BYP                    (* (reg8 *) AN09__BYP)
/* Port wide control signals */                                                   
#define AN09_CTL                    (* (reg8 *) AN09__CTL)
/* Drive Modes */
#define AN09_DM0                    (* (reg8 *) AN09__DM0) 
#define AN09_DM1                    (* (reg8 *) AN09__DM1)
#define AN09_DM2                    (* (reg8 *) AN09__DM2) 
/* Input Buffer Disable Override */
#define AN09_INP_DIS                (* (reg8 *) AN09__INP_DIS)
/* LCD Common or Segment Drive */
#define AN09_LCD_COM_SEG            (* (reg8 *) AN09__LCD_COM_SEG)
/* Enable Segment LCD */
#define AN09_LCD_EN                 (* (reg8 *) AN09__LCD_EN)
/* Slew Rate Control */
#define AN09_SLW                    (* (reg8 *) AN09__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define AN09_PRTDSI__CAPS_SEL       (* (reg8 *) AN09__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define AN09_PRTDSI__DBL_SYNC_IN    (* (reg8 *) AN09__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define AN09_PRTDSI__OE_SEL0        (* (reg8 *) AN09__PRTDSI__OE_SEL0) 
#define AN09_PRTDSI__OE_SEL1        (* (reg8 *) AN09__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define AN09_PRTDSI__OUT_SEL0       (* (reg8 *) AN09__PRTDSI__OUT_SEL0) 
#define AN09_PRTDSI__OUT_SEL1       (* (reg8 *) AN09__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define AN09_PRTDSI__SYNC_OUT       (* (reg8 *) AN09__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(AN09__SIO_CFG)
    #define AN09_SIO_HYST_EN        (* (reg8 *) AN09__SIO_HYST_EN)
    #define AN09_SIO_REG_HIFREQ     (* (reg8 *) AN09__SIO_REG_HIFREQ)
    #define AN09_SIO_CFG            (* (reg8 *) AN09__SIO_CFG)
    #define AN09_SIO_DIFF           (* (reg8 *) AN09__SIO_DIFF)
#endif /* (AN09__SIO_CFG) */

/* Interrupt Registers */
#if defined(AN09__INTSTAT)
    #define AN09_INTSTAT            (* (reg8 *) AN09__INTSTAT)
    #define AN09_SNAP               (* (reg8 *) AN09__SNAP)
    
	#define AN09_0_INTTYPE_REG 		(* (reg8 *) AN09__0__INTTYPE)
#endif /* (AN09__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_AN09_H */


/* [] END OF FILE */
