/*******************************************************************************
* File Name: AN11.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AN11_H) /* Pins AN11_H */
#define CY_PINS_AN11_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "AN11_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 AN11__PORT == 15 && ((AN11__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    AN11_Write(uint8 value);
void    AN11_SetDriveMode(uint8 mode);
uint8   AN11_ReadDataReg(void);
uint8   AN11_Read(void);
void    AN11_SetInterruptMode(uint16 position, uint16 mode);
uint8   AN11_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the AN11_SetDriveMode() function.
     *  @{
     */
        #define AN11_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define AN11_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define AN11_DM_RES_UP          PIN_DM_RES_UP
        #define AN11_DM_RES_DWN         PIN_DM_RES_DWN
        #define AN11_DM_OD_LO           PIN_DM_OD_LO
        #define AN11_DM_OD_HI           PIN_DM_OD_HI
        #define AN11_DM_STRONG          PIN_DM_STRONG
        #define AN11_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define AN11_MASK               AN11__MASK
#define AN11_SHIFT              AN11__SHIFT
#define AN11_WIDTH              1u

/* Interrupt constants */
#if defined(AN11__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in AN11_SetInterruptMode() function.
     *  @{
     */
        #define AN11_INTR_NONE      (uint16)(0x0000u)
        #define AN11_INTR_RISING    (uint16)(0x0001u)
        #define AN11_INTR_FALLING   (uint16)(0x0002u)
        #define AN11_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define AN11_INTR_MASK      (0x01u) 
#endif /* (AN11__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AN11_PS                     (* (reg8 *) AN11__PS)
/* Data Register */
#define AN11_DR                     (* (reg8 *) AN11__DR)
/* Port Number */
#define AN11_PRT_NUM                (* (reg8 *) AN11__PRT) 
/* Connect to Analog Globals */                                                  
#define AN11_AG                     (* (reg8 *) AN11__AG)                       
/* Analog MUX bux enable */
#define AN11_AMUX                   (* (reg8 *) AN11__AMUX) 
/* Bidirectional Enable */                                                        
#define AN11_BIE                    (* (reg8 *) AN11__BIE)
/* Bit-mask for Aliased Register Access */
#define AN11_BIT_MASK               (* (reg8 *) AN11__BIT_MASK)
/* Bypass Enable */
#define AN11_BYP                    (* (reg8 *) AN11__BYP)
/* Port wide control signals */                                                   
#define AN11_CTL                    (* (reg8 *) AN11__CTL)
/* Drive Modes */
#define AN11_DM0                    (* (reg8 *) AN11__DM0) 
#define AN11_DM1                    (* (reg8 *) AN11__DM1)
#define AN11_DM2                    (* (reg8 *) AN11__DM2) 
/* Input Buffer Disable Override */
#define AN11_INP_DIS                (* (reg8 *) AN11__INP_DIS)
/* LCD Common or Segment Drive */
#define AN11_LCD_COM_SEG            (* (reg8 *) AN11__LCD_COM_SEG)
/* Enable Segment LCD */
#define AN11_LCD_EN                 (* (reg8 *) AN11__LCD_EN)
/* Slew Rate Control */
#define AN11_SLW                    (* (reg8 *) AN11__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define AN11_PRTDSI__CAPS_SEL       (* (reg8 *) AN11__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define AN11_PRTDSI__DBL_SYNC_IN    (* (reg8 *) AN11__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define AN11_PRTDSI__OE_SEL0        (* (reg8 *) AN11__PRTDSI__OE_SEL0) 
#define AN11_PRTDSI__OE_SEL1        (* (reg8 *) AN11__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define AN11_PRTDSI__OUT_SEL0       (* (reg8 *) AN11__PRTDSI__OUT_SEL0) 
#define AN11_PRTDSI__OUT_SEL1       (* (reg8 *) AN11__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define AN11_PRTDSI__SYNC_OUT       (* (reg8 *) AN11__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(AN11__SIO_CFG)
    #define AN11_SIO_HYST_EN        (* (reg8 *) AN11__SIO_HYST_EN)
    #define AN11_SIO_REG_HIFREQ     (* (reg8 *) AN11__SIO_REG_HIFREQ)
    #define AN11_SIO_CFG            (* (reg8 *) AN11__SIO_CFG)
    #define AN11_SIO_DIFF           (* (reg8 *) AN11__SIO_DIFF)
#endif /* (AN11__SIO_CFG) */

/* Interrupt Registers */
#if defined(AN11__INTSTAT)
    #define AN11_INTSTAT            (* (reg8 *) AN11__INTSTAT)
    #define AN11_SNAP               (* (reg8 *) AN11__SNAP)
    
	#define AN11_0_INTTYPE_REG 		(* (reg8 *) AN11__0__INTTYPE)
#endif /* (AN11__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_AN11_H */


/* [] END OF FILE */
