/*******************************************************************************
* File Name: AN12.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AN12_H) /* Pins AN12_H */
#define CY_PINS_AN12_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "AN12_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 AN12__PORT == 15 && ((AN12__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    AN12_Write(uint8 value);
void    AN12_SetDriveMode(uint8 mode);
uint8   AN12_ReadDataReg(void);
uint8   AN12_Read(void);
void    AN12_SetInterruptMode(uint16 position, uint16 mode);
uint8   AN12_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the AN12_SetDriveMode() function.
     *  @{
     */
        #define AN12_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define AN12_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define AN12_DM_RES_UP          PIN_DM_RES_UP
        #define AN12_DM_RES_DWN         PIN_DM_RES_DWN
        #define AN12_DM_OD_LO           PIN_DM_OD_LO
        #define AN12_DM_OD_HI           PIN_DM_OD_HI
        #define AN12_DM_STRONG          PIN_DM_STRONG
        #define AN12_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define AN12_MASK               AN12__MASK
#define AN12_SHIFT              AN12__SHIFT
#define AN12_WIDTH              1u

/* Interrupt constants */
#if defined(AN12__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in AN12_SetInterruptMode() function.
     *  @{
     */
        #define AN12_INTR_NONE      (uint16)(0x0000u)
        #define AN12_INTR_RISING    (uint16)(0x0001u)
        #define AN12_INTR_FALLING   (uint16)(0x0002u)
        #define AN12_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define AN12_INTR_MASK      (0x01u) 
#endif /* (AN12__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AN12_PS                     (* (reg8 *) AN12__PS)
/* Data Register */
#define AN12_DR                     (* (reg8 *) AN12__DR)
/* Port Number */
#define AN12_PRT_NUM                (* (reg8 *) AN12__PRT) 
/* Connect to Analog Globals */                                                  
#define AN12_AG                     (* (reg8 *) AN12__AG)                       
/* Analog MUX bux enable */
#define AN12_AMUX                   (* (reg8 *) AN12__AMUX) 
/* Bidirectional Enable */                                                        
#define AN12_BIE                    (* (reg8 *) AN12__BIE)
/* Bit-mask for Aliased Register Access */
#define AN12_BIT_MASK               (* (reg8 *) AN12__BIT_MASK)
/* Bypass Enable */
#define AN12_BYP                    (* (reg8 *) AN12__BYP)
/* Port wide control signals */                                                   
#define AN12_CTL                    (* (reg8 *) AN12__CTL)
/* Drive Modes */
#define AN12_DM0                    (* (reg8 *) AN12__DM0) 
#define AN12_DM1                    (* (reg8 *) AN12__DM1)
#define AN12_DM2                    (* (reg8 *) AN12__DM2) 
/* Input Buffer Disable Override */
#define AN12_INP_DIS                (* (reg8 *) AN12__INP_DIS)
/* LCD Common or Segment Drive */
#define AN12_LCD_COM_SEG            (* (reg8 *) AN12__LCD_COM_SEG)
/* Enable Segment LCD */
#define AN12_LCD_EN                 (* (reg8 *) AN12__LCD_EN)
/* Slew Rate Control */
#define AN12_SLW                    (* (reg8 *) AN12__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define AN12_PRTDSI__CAPS_SEL       (* (reg8 *) AN12__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define AN12_PRTDSI__DBL_SYNC_IN    (* (reg8 *) AN12__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define AN12_PRTDSI__OE_SEL0        (* (reg8 *) AN12__PRTDSI__OE_SEL0) 
#define AN12_PRTDSI__OE_SEL1        (* (reg8 *) AN12__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define AN12_PRTDSI__OUT_SEL0       (* (reg8 *) AN12__PRTDSI__OUT_SEL0) 
#define AN12_PRTDSI__OUT_SEL1       (* (reg8 *) AN12__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define AN12_PRTDSI__SYNC_OUT       (* (reg8 *) AN12__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(AN12__SIO_CFG)
    #define AN12_SIO_HYST_EN        (* (reg8 *) AN12__SIO_HYST_EN)
    #define AN12_SIO_REG_HIFREQ     (* (reg8 *) AN12__SIO_REG_HIFREQ)
    #define AN12_SIO_CFG            (* (reg8 *) AN12__SIO_CFG)
    #define AN12_SIO_DIFF           (* (reg8 *) AN12__SIO_DIFF)
#endif /* (AN12__SIO_CFG) */

/* Interrupt Registers */
#if defined(AN12__INTSTAT)
    #define AN12_INTSTAT            (* (reg8 *) AN12__INTSTAT)
    #define AN12_SNAP               (* (reg8 *) AN12__SNAP)
    
	#define AN12_0_INTTYPE_REG 		(* (reg8 *) AN12__0__INTTYPE)
#endif /* (AN12__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_AN12_H */


/* [] END OF FILE */
