/*******************************************************************************
* File Name: AN14.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AN14_H) /* Pins AN14_H */
#define CY_PINS_AN14_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "AN14_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 AN14__PORT == 15 && ((AN14__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    AN14_Write(uint8 value);
void    AN14_SetDriveMode(uint8 mode);
uint8   AN14_ReadDataReg(void);
uint8   AN14_Read(void);
void    AN14_SetInterruptMode(uint16 position, uint16 mode);
uint8   AN14_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the AN14_SetDriveMode() function.
     *  @{
     */
        #define AN14_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define AN14_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define AN14_DM_RES_UP          PIN_DM_RES_UP
        #define AN14_DM_RES_DWN         PIN_DM_RES_DWN
        #define AN14_DM_OD_LO           PIN_DM_OD_LO
        #define AN14_DM_OD_HI           PIN_DM_OD_HI
        #define AN14_DM_STRONG          PIN_DM_STRONG
        #define AN14_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define AN14_MASK               AN14__MASK
#define AN14_SHIFT              AN14__SHIFT
#define AN14_WIDTH              1u

/* Interrupt constants */
#if defined(AN14__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in AN14_SetInterruptMode() function.
     *  @{
     */
        #define AN14_INTR_NONE      (uint16)(0x0000u)
        #define AN14_INTR_RISING    (uint16)(0x0001u)
        #define AN14_INTR_FALLING   (uint16)(0x0002u)
        #define AN14_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define AN14_INTR_MASK      (0x01u) 
#endif /* (AN14__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AN14_PS                     (* (reg8 *) AN14__PS)
/* Data Register */
#define AN14_DR                     (* (reg8 *) AN14__DR)
/* Port Number */
#define AN14_PRT_NUM                (* (reg8 *) AN14__PRT) 
/* Connect to Analog Globals */                                                  
#define AN14_AG                     (* (reg8 *) AN14__AG)                       
/* Analog MUX bux enable */
#define AN14_AMUX                   (* (reg8 *) AN14__AMUX) 
/* Bidirectional Enable */                                                        
#define AN14_BIE                    (* (reg8 *) AN14__BIE)
/* Bit-mask for Aliased Register Access */
#define AN14_BIT_MASK               (* (reg8 *) AN14__BIT_MASK)
/* Bypass Enable */
#define AN14_BYP                    (* (reg8 *) AN14__BYP)
/* Port wide control signals */                                                   
#define AN14_CTL                    (* (reg8 *) AN14__CTL)
/* Drive Modes */
#define AN14_DM0                    (* (reg8 *) AN14__DM0) 
#define AN14_DM1                    (* (reg8 *) AN14__DM1)
#define AN14_DM2                    (* (reg8 *) AN14__DM2) 
/* Input Buffer Disable Override */
#define AN14_INP_DIS                (* (reg8 *) AN14__INP_DIS)
/* LCD Common or Segment Drive */
#define AN14_LCD_COM_SEG            (* (reg8 *) AN14__LCD_COM_SEG)
/* Enable Segment LCD */
#define AN14_LCD_EN                 (* (reg8 *) AN14__LCD_EN)
/* Slew Rate Control */
#define AN14_SLW                    (* (reg8 *) AN14__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define AN14_PRTDSI__CAPS_SEL       (* (reg8 *) AN14__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define AN14_PRTDSI__DBL_SYNC_IN    (* (reg8 *) AN14__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define AN14_PRTDSI__OE_SEL0        (* (reg8 *) AN14__PRTDSI__OE_SEL0) 
#define AN14_PRTDSI__OE_SEL1        (* (reg8 *) AN14__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define AN14_PRTDSI__OUT_SEL0       (* (reg8 *) AN14__PRTDSI__OUT_SEL0) 
#define AN14_PRTDSI__OUT_SEL1       (* (reg8 *) AN14__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define AN14_PRTDSI__SYNC_OUT       (* (reg8 *) AN14__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(AN14__SIO_CFG)
    #define AN14_SIO_HYST_EN        (* (reg8 *) AN14__SIO_HYST_EN)
    #define AN14_SIO_REG_HIFREQ     (* (reg8 *) AN14__SIO_REG_HIFREQ)
    #define AN14_SIO_CFG            (* (reg8 *) AN14__SIO_CFG)
    #define AN14_SIO_DIFF           (* (reg8 *) AN14__SIO_DIFF)
#endif /* (AN14__SIO_CFG) */

/* Interrupt Registers */
#if defined(AN14__INTSTAT)
    #define AN14_INTSTAT            (* (reg8 *) AN14__INTSTAT)
    #define AN14_SNAP               (* (reg8 *) AN14__SNAP)
    
	#define AN14_0_INTTYPE_REG 		(* (reg8 *) AN14__0__INTTYPE)
#endif /* (AN14__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_AN14_H */


/* [] END OF FILE */
