/*******************************************************************************
* File Name: AN15.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AN15_H) /* Pins AN15_H */
#define CY_PINS_AN15_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "AN15_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 AN15__PORT == 15 && ((AN15__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    AN15_Write(uint8 value);
void    AN15_SetDriveMode(uint8 mode);
uint8   AN15_ReadDataReg(void);
uint8   AN15_Read(void);
void    AN15_SetInterruptMode(uint16 position, uint16 mode);
uint8   AN15_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the AN15_SetDriveMode() function.
     *  @{
     */
        #define AN15_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define AN15_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define AN15_DM_RES_UP          PIN_DM_RES_UP
        #define AN15_DM_RES_DWN         PIN_DM_RES_DWN
        #define AN15_DM_OD_LO           PIN_DM_OD_LO
        #define AN15_DM_OD_HI           PIN_DM_OD_HI
        #define AN15_DM_STRONG          PIN_DM_STRONG
        #define AN15_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define AN15_MASK               AN15__MASK
#define AN15_SHIFT              AN15__SHIFT
#define AN15_WIDTH              1u

/* Interrupt constants */
#if defined(AN15__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in AN15_SetInterruptMode() function.
     *  @{
     */
        #define AN15_INTR_NONE      (uint16)(0x0000u)
        #define AN15_INTR_RISING    (uint16)(0x0001u)
        #define AN15_INTR_FALLING   (uint16)(0x0002u)
        #define AN15_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define AN15_INTR_MASK      (0x01u) 
#endif /* (AN15__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AN15_PS                     (* (reg8 *) AN15__PS)
/* Data Register */
#define AN15_DR                     (* (reg8 *) AN15__DR)
/* Port Number */
#define AN15_PRT_NUM                (* (reg8 *) AN15__PRT) 
/* Connect to Analog Globals */                                                  
#define AN15_AG                     (* (reg8 *) AN15__AG)                       
/* Analog MUX bux enable */
#define AN15_AMUX                   (* (reg8 *) AN15__AMUX) 
/* Bidirectional Enable */                                                        
#define AN15_BIE                    (* (reg8 *) AN15__BIE)
/* Bit-mask for Aliased Register Access */
#define AN15_BIT_MASK               (* (reg8 *) AN15__BIT_MASK)
/* Bypass Enable */
#define AN15_BYP                    (* (reg8 *) AN15__BYP)
/* Port wide control signals */                                                   
#define AN15_CTL                    (* (reg8 *) AN15__CTL)
/* Drive Modes */
#define AN15_DM0                    (* (reg8 *) AN15__DM0) 
#define AN15_DM1                    (* (reg8 *) AN15__DM1)
#define AN15_DM2                    (* (reg8 *) AN15__DM2) 
/* Input Buffer Disable Override */
#define AN15_INP_DIS                (* (reg8 *) AN15__INP_DIS)
/* LCD Common or Segment Drive */
#define AN15_LCD_COM_SEG            (* (reg8 *) AN15__LCD_COM_SEG)
/* Enable Segment LCD */
#define AN15_LCD_EN                 (* (reg8 *) AN15__LCD_EN)
/* Slew Rate Control */
#define AN15_SLW                    (* (reg8 *) AN15__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define AN15_PRTDSI__CAPS_SEL       (* (reg8 *) AN15__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define AN15_PRTDSI__DBL_SYNC_IN    (* (reg8 *) AN15__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define AN15_PRTDSI__OE_SEL0        (* (reg8 *) AN15__PRTDSI__OE_SEL0) 
#define AN15_PRTDSI__OE_SEL1        (* (reg8 *) AN15__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define AN15_PRTDSI__OUT_SEL0       (* (reg8 *) AN15__PRTDSI__OUT_SEL0) 
#define AN15_PRTDSI__OUT_SEL1       (* (reg8 *) AN15__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define AN15_PRTDSI__SYNC_OUT       (* (reg8 *) AN15__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(AN15__SIO_CFG)
    #define AN15_SIO_HYST_EN        (* (reg8 *) AN15__SIO_HYST_EN)
    #define AN15_SIO_REG_HIFREQ     (* (reg8 *) AN15__SIO_REG_HIFREQ)
    #define AN15_SIO_CFG            (* (reg8 *) AN15__SIO_CFG)
    #define AN15_SIO_DIFF           (* (reg8 *) AN15__SIO_DIFF)
#endif /* (AN15__SIO_CFG) */

/* Interrupt Registers */
#if defined(AN15__INTSTAT)
    #define AN15_INTSTAT            (* (reg8 *) AN15__INTSTAT)
    #define AN15_SNAP               (* (reg8 *) AN15__SNAP)
    
	#define AN15_0_INTTYPE_REG 		(* (reg8 *) AN15__0__INTTYPE)
#endif /* (AN15__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_AN15_H */


/* [] END OF FILE */
