/*******************************************************************************
* File Name: AN16.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AN16_H) /* Pins AN16_H */
#define CY_PINS_AN16_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "AN16_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 AN16__PORT == 15 && ((AN16__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    AN16_Write(uint8 value);
void    AN16_SetDriveMode(uint8 mode);
uint8   AN16_ReadDataReg(void);
uint8   AN16_Read(void);
void    AN16_SetInterruptMode(uint16 position, uint16 mode);
uint8   AN16_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the AN16_SetDriveMode() function.
     *  @{
     */
        #define AN16_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define AN16_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define AN16_DM_RES_UP          PIN_DM_RES_UP
        #define AN16_DM_RES_DWN         PIN_DM_RES_DWN
        #define AN16_DM_OD_LO           PIN_DM_OD_LO
        #define AN16_DM_OD_HI           PIN_DM_OD_HI
        #define AN16_DM_STRONG          PIN_DM_STRONG
        #define AN16_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define AN16_MASK               AN16__MASK
#define AN16_SHIFT              AN16__SHIFT
#define AN16_WIDTH              1u

/* Interrupt constants */
#if defined(AN16__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in AN16_SetInterruptMode() function.
     *  @{
     */
        #define AN16_INTR_NONE      (uint16)(0x0000u)
        #define AN16_INTR_RISING    (uint16)(0x0001u)
        #define AN16_INTR_FALLING   (uint16)(0x0002u)
        #define AN16_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define AN16_INTR_MASK      (0x01u) 
#endif /* (AN16__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AN16_PS                     (* (reg8 *) AN16__PS)
/* Data Register */
#define AN16_DR                     (* (reg8 *) AN16__DR)
/* Port Number */
#define AN16_PRT_NUM                (* (reg8 *) AN16__PRT) 
/* Connect to Analog Globals */                                                  
#define AN16_AG                     (* (reg8 *) AN16__AG)                       
/* Analog MUX bux enable */
#define AN16_AMUX                   (* (reg8 *) AN16__AMUX) 
/* Bidirectional Enable */                                                        
#define AN16_BIE                    (* (reg8 *) AN16__BIE)
/* Bit-mask for Aliased Register Access */
#define AN16_BIT_MASK               (* (reg8 *) AN16__BIT_MASK)
/* Bypass Enable */
#define AN16_BYP                    (* (reg8 *) AN16__BYP)
/* Port wide control signals */                                                   
#define AN16_CTL                    (* (reg8 *) AN16__CTL)
/* Drive Modes */
#define AN16_DM0                    (* (reg8 *) AN16__DM0) 
#define AN16_DM1                    (* (reg8 *) AN16__DM1)
#define AN16_DM2                    (* (reg8 *) AN16__DM2) 
/* Input Buffer Disable Override */
#define AN16_INP_DIS                (* (reg8 *) AN16__INP_DIS)
/* LCD Common or Segment Drive */
#define AN16_LCD_COM_SEG            (* (reg8 *) AN16__LCD_COM_SEG)
/* Enable Segment LCD */
#define AN16_LCD_EN                 (* (reg8 *) AN16__LCD_EN)
/* Slew Rate Control */
#define AN16_SLW                    (* (reg8 *) AN16__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define AN16_PRTDSI__CAPS_SEL       (* (reg8 *) AN16__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define AN16_PRTDSI__DBL_SYNC_IN    (* (reg8 *) AN16__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define AN16_PRTDSI__OE_SEL0        (* (reg8 *) AN16__PRTDSI__OE_SEL0) 
#define AN16_PRTDSI__OE_SEL1        (* (reg8 *) AN16__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define AN16_PRTDSI__OUT_SEL0       (* (reg8 *) AN16__PRTDSI__OUT_SEL0) 
#define AN16_PRTDSI__OUT_SEL1       (* (reg8 *) AN16__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define AN16_PRTDSI__SYNC_OUT       (* (reg8 *) AN16__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(AN16__SIO_CFG)
    #define AN16_SIO_HYST_EN        (* (reg8 *) AN16__SIO_HYST_EN)
    #define AN16_SIO_REG_HIFREQ     (* (reg8 *) AN16__SIO_REG_HIFREQ)
    #define AN16_SIO_CFG            (* (reg8 *) AN16__SIO_CFG)
    #define AN16_SIO_DIFF           (* (reg8 *) AN16__SIO_DIFF)
#endif /* (AN16__SIO_CFG) */

/* Interrupt Registers */
#if defined(AN16__INTSTAT)
    #define AN16_INTSTAT            (* (reg8 *) AN16__INTSTAT)
    #define AN16_SNAP               (* (reg8 *) AN16__SNAP)
    
	#define AN16_0_INTTYPE_REG 		(* (reg8 *) AN16__0__INTTYPE)
#endif /* (AN16__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_AN16_H */


/* [] END OF FILE */
