/*******************************************************************************
* File Name: AN18.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AN18_H) /* Pins AN18_H */
#define CY_PINS_AN18_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "AN18_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 AN18__PORT == 15 && ((AN18__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    AN18_Write(uint8 value);
void    AN18_SetDriveMode(uint8 mode);
uint8   AN18_ReadDataReg(void);
uint8   AN18_Read(void);
void    AN18_SetInterruptMode(uint16 position, uint16 mode);
uint8   AN18_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the AN18_SetDriveMode() function.
     *  @{
     */
        #define AN18_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define AN18_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define AN18_DM_RES_UP          PIN_DM_RES_UP
        #define AN18_DM_RES_DWN         PIN_DM_RES_DWN
        #define AN18_DM_OD_LO           PIN_DM_OD_LO
        #define AN18_DM_OD_HI           PIN_DM_OD_HI
        #define AN18_DM_STRONG          PIN_DM_STRONG
        #define AN18_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define AN18_MASK               AN18__MASK
#define AN18_SHIFT              AN18__SHIFT
#define AN18_WIDTH              1u

/* Interrupt constants */
#if defined(AN18__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in AN18_SetInterruptMode() function.
     *  @{
     */
        #define AN18_INTR_NONE      (uint16)(0x0000u)
        #define AN18_INTR_RISING    (uint16)(0x0001u)
        #define AN18_INTR_FALLING   (uint16)(0x0002u)
        #define AN18_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define AN18_INTR_MASK      (0x01u) 
#endif /* (AN18__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AN18_PS                     (* (reg8 *) AN18__PS)
/* Data Register */
#define AN18_DR                     (* (reg8 *) AN18__DR)
/* Port Number */
#define AN18_PRT_NUM                (* (reg8 *) AN18__PRT) 
/* Connect to Analog Globals */                                                  
#define AN18_AG                     (* (reg8 *) AN18__AG)                       
/* Analog MUX bux enable */
#define AN18_AMUX                   (* (reg8 *) AN18__AMUX) 
/* Bidirectional Enable */                                                        
#define AN18_BIE                    (* (reg8 *) AN18__BIE)
/* Bit-mask for Aliased Register Access */
#define AN18_BIT_MASK               (* (reg8 *) AN18__BIT_MASK)
/* Bypass Enable */
#define AN18_BYP                    (* (reg8 *) AN18__BYP)
/* Port wide control signals */                                                   
#define AN18_CTL                    (* (reg8 *) AN18__CTL)
/* Drive Modes */
#define AN18_DM0                    (* (reg8 *) AN18__DM0) 
#define AN18_DM1                    (* (reg8 *) AN18__DM1)
#define AN18_DM2                    (* (reg8 *) AN18__DM2) 
/* Input Buffer Disable Override */
#define AN18_INP_DIS                (* (reg8 *) AN18__INP_DIS)
/* LCD Common or Segment Drive */
#define AN18_LCD_COM_SEG            (* (reg8 *) AN18__LCD_COM_SEG)
/* Enable Segment LCD */
#define AN18_LCD_EN                 (* (reg8 *) AN18__LCD_EN)
/* Slew Rate Control */
#define AN18_SLW                    (* (reg8 *) AN18__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define AN18_PRTDSI__CAPS_SEL       (* (reg8 *) AN18__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define AN18_PRTDSI__DBL_SYNC_IN    (* (reg8 *) AN18__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define AN18_PRTDSI__OE_SEL0        (* (reg8 *) AN18__PRTDSI__OE_SEL0) 
#define AN18_PRTDSI__OE_SEL1        (* (reg8 *) AN18__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define AN18_PRTDSI__OUT_SEL0       (* (reg8 *) AN18__PRTDSI__OUT_SEL0) 
#define AN18_PRTDSI__OUT_SEL1       (* (reg8 *) AN18__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define AN18_PRTDSI__SYNC_OUT       (* (reg8 *) AN18__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(AN18__SIO_CFG)
    #define AN18_SIO_HYST_EN        (* (reg8 *) AN18__SIO_HYST_EN)
    #define AN18_SIO_REG_HIFREQ     (* (reg8 *) AN18__SIO_REG_HIFREQ)
    #define AN18_SIO_CFG            (* (reg8 *) AN18__SIO_CFG)
    #define AN18_SIO_DIFF           (* (reg8 *) AN18__SIO_DIFF)
#endif /* (AN18__SIO_CFG) */

/* Interrupt Registers */
#if defined(AN18__INTSTAT)
    #define AN18_INTSTAT            (* (reg8 *) AN18__INTSTAT)
    #define AN18_SNAP               (* (reg8 *) AN18__SNAP)
    
	#define AN18_0_INTTYPE_REG 		(* (reg8 *) AN18__0__INTTYPE)
#endif /* (AN18__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_AN18_H */


/* [] END OF FILE */
