/*******************************************************************************
* File Name: AN19.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AN19_H) /* Pins AN19_H */
#define CY_PINS_AN19_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "AN19_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 AN19__PORT == 15 && ((AN19__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    AN19_Write(uint8 value);
void    AN19_SetDriveMode(uint8 mode);
uint8   AN19_ReadDataReg(void);
uint8   AN19_Read(void);
void    AN19_SetInterruptMode(uint16 position, uint16 mode);
uint8   AN19_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the AN19_SetDriveMode() function.
     *  @{
     */
        #define AN19_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define AN19_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define AN19_DM_RES_UP          PIN_DM_RES_UP
        #define AN19_DM_RES_DWN         PIN_DM_RES_DWN
        #define AN19_DM_OD_LO           PIN_DM_OD_LO
        #define AN19_DM_OD_HI           PIN_DM_OD_HI
        #define AN19_DM_STRONG          PIN_DM_STRONG
        #define AN19_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define AN19_MASK               AN19__MASK
#define AN19_SHIFT              AN19__SHIFT
#define AN19_WIDTH              1u

/* Interrupt constants */
#if defined(AN19__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in AN19_SetInterruptMode() function.
     *  @{
     */
        #define AN19_INTR_NONE      (uint16)(0x0000u)
        #define AN19_INTR_RISING    (uint16)(0x0001u)
        #define AN19_INTR_FALLING   (uint16)(0x0002u)
        #define AN19_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define AN19_INTR_MASK      (0x01u) 
#endif /* (AN19__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AN19_PS                     (* (reg8 *) AN19__PS)
/* Data Register */
#define AN19_DR                     (* (reg8 *) AN19__DR)
/* Port Number */
#define AN19_PRT_NUM                (* (reg8 *) AN19__PRT) 
/* Connect to Analog Globals */                                                  
#define AN19_AG                     (* (reg8 *) AN19__AG)                       
/* Analog MUX bux enable */
#define AN19_AMUX                   (* (reg8 *) AN19__AMUX) 
/* Bidirectional Enable */                                                        
#define AN19_BIE                    (* (reg8 *) AN19__BIE)
/* Bit-mask for Aliased Register Access */
#define AN19_BIT_MASK               (* (reg8 *) AN19__BIT_MASK)
/* Bypass Enable */
#define AN19_BYP                    (* (reg8 *) AN19__BYP)
/* Port wide control signals */                                                   
#define AN19_CTL                    (* (reg8 *) AN19__CTL)
/* Drive Modes */
#define AN19_DM0                    (* (reg8 *) AN19__DM0) 
#define AN19_DM1                    (* (reg8 *) AN19__DM1)
#define AN19_DM2                    (* (reg8 *) AN19__DM2) 
/* Input Buffer Disable Override */
#define AN19_INP_DIS                (* (reg8 *) AN19__INP_DIS)
/* LCD Common or Segment Drive */
#define AN19_LCD_COM_SEG            (* (reg8 *) AN19__LCD_COM_SEG)
/* Enable Segment LCD */
#define AN19_LCD_EN                 (* (reg8 *) AN19__LCD_EN)
/* Slew Rate Control */
#define AN19_SLW                    (* (reg8 *) AN19__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define AN19_PRTDSI__CAPS_SEL       (* (reg8 *) AN19__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define AN19_PRTDSI__DBL_SYNC_IN    (* (reg8 *) AN19__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define AN19_PRTDSI__OE_SEL0        (* (reg8 *) AN19__PRTDSI__OE_SEL0) 
#define AN19_PRTDSI__OE_SEL1        (* (reg8 *) AN19__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define AN19_PRTDSI__OUT_SEL0       (* (reg8 *) AN19__PRTDSI__OUT_SEL0) 
#define AN19_PRTDSI__OUT_SEL1       (* (reg8 *) AN19__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define AN19_PRTDSI__SYNC_OUT       (* (reg8 *) AN19__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(AN19__SIO_CFG)
    #define AN19_SIO_HYST_EN        (* (reg8 *) AN19__SIO_HYST_EN)
    #define AN19_SIO_REG_HIFREQ     (* (reg8 *) AN19__SIO_REG_HIFREQ)
    #define AN19_SIO_CFG            (* (reg8 *) AN19__SIO_CFG)
    #define AN19_SIO_DIFF           (* (reg8 *) AN19__SIO_DIFF)
#endif /* (AN19__SIO_CFG) */

/* Interrupt Registers */
#if defined(AN19__INTSTAT)
    #define AN19_INTSTAT            (* (reg8 *) AN19__INTSTAT)
    #define AN19_SNAP               (* (reg8 *) AN19__SNAP)
    
	#define AN19_0_INTTYPE_REG 		(* (reg8 *) AN19__0__INTTYPE)
#endif /* (AN19__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_AN19_H */


/* [] END OF FILE */
