/*******************************************************************************
* File Name: AN21.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AN21_H) /* Pins AN21_H */
#define CY_PINS_AN21_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "AN21_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 AN21__PORT == 15 && ((AN21__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    AN21_Write(uint8 value);
void    AN21_SetDriveMode(uint8 mode);
uint8   AN21_ReadDataReg(void);
uint8   AN21_Read(void);
void    AN21_SetInterruptMode(uint16 position, uint16 mode);
uint8   AN21_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the AN21_SetDriveMode() function.
     *  @{
     */
        #define AN21_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define AN21_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define AN21_DM_RES_UP          PIN_DM_RES_UP
        #define AN21_DM_RES_DWN         PIN_DM_RES_DWN
        #define AN21_DM_OD_LO           PIN_DM_OD_LO
        #define AN21_DM_OD_HI           PIN_DM_OD_HI
        #define AN21_DM_STRONG          PIN_DM_STRONG
        #define AN21_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define AN21_MASK               AN21__MASK
#define AN21_SHIFT              AN21__SHIFT
#define AN21_WIDTH              1u

/* Interrupt constants */
#if defined(AN21__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in AN21_SetInterruptMode() function.
     *  @{
     */
        #define AN21_INTR_NONE      (uint16)(0x0000u)
        #define AN21_INTR_RISING    (uint16)(0x0001u)
        #define AN21_INTR_FALLING   (uint16)(0x0002u)
        #define AN21_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define AN21_INTR_MASK      (0x01u) 
#endif /* (AN21__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AN21_PS                     (* (reg8 *) AN21__PS)
/* Data Register */
#define AN21_DR                     (* (reg8 *) AN21__DR)
/* Port Number */
#define AN21_PRT_NUM                (* (reg8 *) AN21__PRT) 
/* Connect to Analog Globals */                                                  
#define AN21_AG                     (* (reg8 *) AN21__AG)                       
/* Analog MUX bux enable */
#define AN21_AMUX                   (* (reg8 *) AN21__AMUX) 
/* Bidirectional Enable */                                                        
#define AN21_BIE                    (* (reg8 *) AN21__BIE)
/* Bit-mask for Aliased Register Access */
#define AN21_BIT_MASK               (* (reg8 *) AN21__BIT_MASK)
/* Bypass Enable */
#define AN21_BYP                    (* (reg8 *) AN21__BYP)
/* Port wide control signals */                                                   
#define AN21_CTL                    (* (reg8 *) AN21__CTL)
/* Drive Modes */
#define AN21_DM0                    (* (reg8 *) AN21__DM0) 
#define AN21_DM1                    (* (reg8 *) AN21__DM1)
#define AN21_DM2                    (* (reg8 *) AN21__DM2) 
/* Input Buffer Disable Override */
#define AN21_INP_DIS                (* (reg8 *) AN21__INP_DIS)
/* LCD Common or Segment Drive */
#define AN21_LCD_COM_SEG            (* (reg8 *) AN21__LCD_COM_SEG)
/* Enable Segment LCD */
#define AN21_LCD_EN                 (* (reg8 *) AN21__LCD_EN)
/* Slew Rate Control */
#define AN21_SLW                    (* (reg8 *) AN21__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define AN21_PRTDSI__CAPS_SEL       (* (reg8 *) AN21__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define AN21_PRTDSI__DBL_SYNC_IN    (* (reg8 *) AN21__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define AN21_PRTDSI__OE_SEL0        (* (reg8 *) AN21__PRTDSI__OE_SEL0) 
#define AN21_PRTDSI__OE_SEL1        (* (reg8 *) AN21__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define AN21_PRTDSI__OUT_SEL0       (* (reg8 *) AN21__PRTDSI__OUT_SEL0) 
#define AN21_PRTDSI__OUT_SEL1       (* (reg8 *) AN21__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define AN21_PRTDSI__SYNC_OUT       (* (reg8 *) AN21__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(AN21__SIO_CFG)
    #define AN21_SIO_HYST_EN        (* (reg8 *) AN21__SIO_HYST_EN)
    #define AN21_SIO_REG_HIFREQ     (* (reg8 *) AN21__SIO_REG_HIFREQ)
    #define AN21_SIO_CFG            (* (reg8 *) AN21__SIO_CFG)
    #define AN21_SIO_DIFF           (* (reg8 *) AN21__SIO_DIFF)
#endif /* (AN21__SIO_CFG) */

/* Interrupt Registers */
#if defined(AN21__INTSTAT)
    #define AN21_INTSTAT            (* (reg8 *) AN21__INTSTAT)
    #define AN21_SNAP               (* (reg8 *) AN21__SNAP)
    
	#define AN21_0_INTTYPE_REG 		(* (reg8 *) AN21__0__INTTYPE)
#endif /* (AN21__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_AN21_H */


/* [] END OF FILE */
