/*******************************************************************************
* File Name: AN22.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AN22_H) /* Pins AN22_H */
#define CY_PINS_AN22_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "AN22_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 AN22__PORT == 15 && ((AN22__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    AN22_Write(uint8 value);
void    AN22_SetDriveMode(uint8 mode);
uint8   AN22_ReadDataReg(void);
uint8   AN22_Read(void);
void    AN22_SetInterruptMode(uint16 position, uint16 mode);
uint8   AN22_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the AN22_SetDriveMode() function.
     *  @{
     */
        #define AN22_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define AN22_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define AN22_DM_RES_UP          PIN_DM_RES_UP
        #define AN22_DM_RES_DWN         PIN_DM_RES_DWN
        #define AN22_DM_OD_LO           PIN_DM_OD_LO
        #define AN22_DM_OD_HI           PIN_DM_OD_HI
        #define AN22_DM_STRONG          PIN_DM_STRONG
        #define AN22_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define AN22_MASK               AN22__MASK
#define AN22_SHIFT              AN22__SHIFT
#define AN22_WIDTH              1u

/* Interrupt constants */
#if defined(AN22__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in AN22_SetInterruptMode() function.
     *  @{
     */
        #define AN22_INTR_NONE      (uint16)(0x0000u)
        #define AN22_INTR_RISING    (uint16)(0x0001u)
        #define AN22_INTR_FALLING   (uint16)(0x0002u)
        #define AN22_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define AN22_INTR_MASK      (0x01u) 
#endif /* (AN22__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AN22_PS                     (* (reg8 *) AN22__PS)
/* Data Register */
#define AN22_DR                     (* (reg8 *) AN22__DR)
/* Port Number */
#define AN22_PRT_NUM                (* (reg8 *) AN22__PRT) 
/* Connect to Analog Globals */                                                  
#define AN22_AG                     (* (reg8 *) AN22__AG)                       
/* Analog MUX bux enable */
#define AN22_AMUX                   (* (reg8 *) AN22__AMUX) 
/* Bidirectional Enable */                                                        
#define AN22_BIE                    (* (reg8 *) AN22__BIE)
/* Bit-mask for Aliased Register Access */
#define AN22_BIT_MASK               (* (reg8 *) AN22__BIT_MASK)
/* Bypass Enable */
#define AN22_BYP                    (* (reg8 *) AN22__BYP)
/* Port wide control signals */                                                   
#define AN22_CTL                    (* (reg8 *) AN22__CTL)
/* Drive Modes */
#define AN22_DM0                    (* (reg8 *) AN22__DM0) 
#define AN22_DM1                    (* (reg8 *) AN22__DM1)
#define AN22_DM2                    (* (reg8 *) AN22__DM2) 
/* Input Buffer Disable Override */
#define AN22_INP_DIS                (* (reg8 *) AN22__INP_DIS)
/* LCD Common or Segment Drive */
#define AN22_LCD_COM_SEG            (* (reg8 *) AN22__LCD_COM_SEG)
/* Enable Segment LCD */
#define AN22_LCD_EN                 (* (reg8 *) AN22__LCD_EN)
/* Slew Rate Control */
#define AN22_SLW                    (* (reg8 *) AN22__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define AN22_PRTDSI__CAPS_SEL       (* (reg8 *) AN22__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define AN22_PRTDSI__DBL_SYNC_IN    (* (reg8 *) AN22__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define AN22_PRTDSI__OE_SEL0        (* (reg8 *) AN22__PRTDSI__OE_SEL0) 
#define AN22_PRTDSI__OE_SEL1        (* (reg8 *) AN22__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define AN22_PRTDSI__OUT_SEL0       (* (reg8 *) AN22__PRTDSI__OUT_SEL0) 
#define AN22_PRTDSI__OUT_SEL1       (* (reg8 *) AN22__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define AN22_PRTDSI__SYNC_OUT       (* (reg8 *) AN22__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(AN22__SIO_CFG)
    #define AN22_SIO_HYST_EN        (* (reg8 *) AN22__SIO_HYST_EN)
    #define AN22_SIO_REG_HIFREQ     (* (reg8 *) AN22__SIO_REG_HIFREQ)
    #define AN22_SIO_CFG            (* (reg8 *) AN22__SIO_CFG)
    #define AN22_SIO_DIFF           (* (reg8 *) AN22__SIO_DIFF)
#endif /* (AN22__SIO_CFG) */

/* Interrupt Registers */
#if defined(AN22__INTSTAT)
    #define AN22_INTSTAT            (* (reg8 *) AN22__INTSTAT)
    #define AN22_SNAP               (* (reg8 *) AN22__SNAP)
    
	#define AN22_0_INTTYPE_REG 		(* (reg8 *) AN22__0__INTTYPE)
#endif /* (AN22__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_AN22_H */


/* [] END OF FILE */
