/*******************************************************************************
* File Name: AN23.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AN23_H) /* Pins AN23_H */
#define CY_PINS_AN23_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "AN23_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 AN23__PORT == 15 && ((AN23__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    AN23_Write(uint8 value);
void    AN23_SetDriveMode(uint8 mode);
uint8   AN23_ReadDataReg(void);
uint8   AN23_Read(void);
void    AN23_SetInterruptMode(uint16 position, uint16 mode);
uint8   AN23_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the AN23_SetDriveMode() function.
     *  @{
     */
        #define AN23_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define AN23_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define AN23_DM_RES_UP          PIN_DM_RES_UP
        #define AN23_DM_RES_DWN         PIN_DM_RES_DWN
        #define AN23_DM_OD_LO           PIN_DM_OD_LO
        #define AN23_DM_OD_HI           PIN_DM_OD_HI
        #define AN23_DM_STRONG          PIN_DM_STRONG
        #define AN23_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define AN23_MASK               AN23__MASK
#define AN23_SHIFT              AN23__SHIFT
#define AN23_WIDTH              1u

/* Interrupt constants */
#if defined(AN23__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in AN23_SetInterruptMode() function.
     *  @{
     */
        #define AN23_INTR_NONE      (uint16)(0x0000u)
        #define AN23_INTR_RISING    (uint16)(0x0001u)
        #define AN23_INTR_FALLING   (uint16)(0x0002u)
        #define AN23_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define AN23_INTR_MASK      (0x01u) 
#endif /* (AN23__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AN23_PS                     (* (reg8 *) AN23__PS)
/* Data Register */
#define AN23_DR                     (* (reg8 *) AN23__DR)
/* Port Number */
#define AN23_PRT_NUM                (* (reg8 *) AN23__PRT) 
/* Connect to Analog Globals */                                                  
#define AN23_AG                     (* (reg8 *) AN23__AG)                       
/* Analog MUX bux enable */
#define AN23_AMUX                   (* (reg8 *) AN23__AMUX) 
/* Bidirectional Enable */                                                        
#define AN23_BIE                    (* (reg8 *) AN23__BIE)
/* Bit-mask for Aliased Register Access */
#define AN23_BIT_MASK               (* (reg8 *) AN23__BIT_MASK)
/* Bypass Enable */
#define AN23_BYP                    (* (reg8 *) AN23__BYP)
/* Port wide control signals */                                                   
#define AN23_CTL                    (* (reg8 *) AN23__CTL)
/* Drive Modes */
#define AN23_DM0                    (* (reg8 *) AN23__DM0) 
#define AN23_DM1                    (* (reg8 *) AN23__DM1)
#define AN23_DM2                    (* (reg8 *) AN23__DM2) 
/* Input Buffer Disable Override */
#define AN23_INP_DIS                (* (reg8 *) AN23__INP_DIS)
/* LCD Common or Segment Drive */
#define AN23_LCD_COM_SEG            (* (reg8 *) AN23__LCD_COM_SEG)
/* Enable Segment LCD */
#define AN23_LCD_EN                 (* (reg8 *) AN23__LCD_EN)
/* Slew Rate Control */
#define AN23_SLW                    (* (reg8 *) AN23__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define AN23_PRTDSI__CAPS_SEL       (* (reg8 *) AN23__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define AN23_PRTDSI__DBL_SYNC_IN    (* (reg8 *) AN23__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define AN23_PRTDSI__OE_SEL0        (* (reg8 *) AN23__PRTDSI__OE_SEL0) 
#define AN23_PRTDSI__OE_SEL1        (* (reg8 *) AN23__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define AN23_PRTDSI__OUT_SEL0       (* (reg8 *) AN23__PRTDSI__OUT_SEL0) 
#define AN23_PRTDSI__OUT_SEL1       (* (reg8 *) AN23__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define AN23_PRTDSI__SYNC_OUT       (* (reg8 *) AN23__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(AN23__SIO_CFG)
    #define AN23_SIO_HYST_EN        (* (reg8 *) AN23__SIO_HYST_EN)
    #define AN23_SIO_REG_HIFREQ     (* (reg8 *) AN23__SIO_REG_HIFREQ)
    #define AN23_SIO_CFG            (* (reg8 *) AN23__SIO_CFG)
    #define AN23_SIO_DIFF           (* (reg8 *) AN23__SIO_DIFF)
#endif /* (AN23__SIO_CFG) */

/* Interrupt Registers */
#if defined(AN23__INTSTAT)
    #define AN23_INTSTAT            (* (reg8 *) AN23__INTSTAT)
    #define AN23_SNAP               (* (reg8 *) AN23__SNAP)
    
	#define AN23_0_INTTYPE_REG 		(* (reg8 *) AN23__0__INTTYPE)
#endif /* (AN23__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_AN23_H */


/* [] END OF FILE */
