/*******************************************************************************
* File Name: AN24.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AN24_H) /* Pins AN24_H */
#define CY_PINS_AN24_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "AN24_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 AN24__PORT == 15 && ((AN24__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    AN24_Write(uint8 value);
void    AN24_SetDriveMode(uint8 mode);
uint8   AN24_ReadDataReg(void);
uint8   AN24_Read(void);
void    AN24_SetInterruptMode(uint16 position, uint16 mode);
uint8   AN24_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the AN24_SetDriveMode() function.
     *  @{
     */
        #define AN24_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define AN24_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define AN24_DM_RES_UP          PIN_DM_RES_UP
        #define AN24_DM_RES_DWN         PIN_DM_RES_DWN
        #define AN24_DM_OD_LO           PIN_DM_OD_LO
        #define AN24_DM_OD_HI           PIN_DM_OD_HI
        #define AN24_DM_STRONG          PIN_DM_STRONG
        #define AN24_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define AN24_MASK               AN24__MASK
#define AN24_SHIFT              AN24__SHIFT
#define AN24_WIDTH              1u

/* Interrupt constants */
#if defined(AN24__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in AN24_SetInterruptMode() function.
     *  @{
     */
        #define AN24_INTR_NONE      (uint16)(0x0000u)
        #define AN24_INTR_RISING    (uint16)(0x0001u)
        #define AN24_INTR_FALLING   (uint16)(0x0002u)
        #define AN24_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define AN24_INTR_MASK      (0x01u) 
#endif /* (AN24__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AN24_PS                     (* (reg8 *) AN24__PS)
/* Data Register */
#define AN24_DR                     (* (reg8 *) AN24__DR)
/* Port Number */
#define AN24_PRT_NUM                (* (reg8 *) AN24__PRT) 
/* Connect to Analog Globals */                                                  
#define AN24_AG                     (* (reg8 *) AN24__AG)                       
/* Analog MUX bux enable */
#define AN24_AMUX                   (* (reg8 *) AN24__AMUX) 
/* Bidirectional Enable */                                                        
#define AN24_BIE                    (* (reg8 *) AN24__BIE)
/* Bit-mask for Aliased Register Access */
#define AN24_BIT_MASK               (* (reg8 *) AN24__BIT_MASK)
/* Bypass Enable */
#define AN24_BYP                    (* (reg8 *) AN24__BYP)
/* Port wide control signals */                                                   
#define AN24_CTL                    (* (reg8 *) AN24__CTL)
/* Drive Modes */
#define AN24_DM0                    (* (reg8 *) AN24__DM0) 
#define AN24_DM1                    (* (reg8 *) AN24__DM1)
#define AN24_DM2                    (* (reg8 *) AN24__DM2) 
/* Input Buffer Disable Override */
#define AN24_INP_DIS                (* (reg8 *) AN24__INP_DIS)
/* LCD Common or Segment Drive */
#define AN24_LCD_COM_SEG            (* (reg8 *) AN24__LCD_COM_SEG)
/* Enable Segment LCD */
#define AN24_LCD_EN                 (* (reg8 *) AN24__LCD_EN)
/* Slew Rate Control */
#define AN24_SLW                    (* (reg8 *) AN24__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define AN24_PRTDSI__CAPS_SEL       (* (reg8 *) AN24__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define AN24_PRTDSI__DBL_SYNC_IN    (* (reg8 *) AN24__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define AN24_PRTDSI__OE_SEL0        (* (reg8 *) AN24__PRTDSI__OE_SEL0) 
#define AN24_PRTDSI__OE_SEL1        (* (reg8 *) AN24__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define AN24_PRTDSI__OUT_SEL0       (* (reg8 *) AN24__PRTDSI__OUT_SEL0) 
#define AN24_PRTDSI__OUT_SEL1       (* (reg8 *) AN24__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define AN24_PRTDSI__SYNC_OUT       (* (reg8 *) AN24__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(AN24__SIO_CFG)
    #define AN24_SIO_HYST_EN        (* (reg8 *) AN24__SIO_HYST_EN)
    #define AN24_SIO_REG_HIFREQ     (* (reg8 *) AN24__SIO_REG_HIFREQ)
    #define AN24_SIO_CFG            (* (reg8 *) AN24__SIO_CFG)
    #define AN24_SIO_DIFF           (* (reg8 *) AN24__SIO_DIFF)
#endif /* (AN24__SIO_CFG) */

/* Interrupt Registers */
#if defined(AN24__INTSTAT)
    #define AN24_INTSTAT            (* (reg8 *) AN24__INTSTAT)
    #define AN24_SNAP               (* (reg8 *) AN24__SNAP)
    
	#define AN24_0_INTTYPE_REG 		(* (reg8 *) AN24__0__INTTYPE)
#endif /* (AN24__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_AN24_H */


/* [] END OF FILE */
