/*******************************************************************************
* File Name: AN25.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AN25_H) /* Pins AN25_H */
#define CY_PINS_AN25_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "AN25_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 AN25__PORT == 15 && ((AN25__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    AN25_Write(uint8 value);
void    AN25_SetDriveMode(uint8 mode);
uint8   AN25_ReadDataReg(void);
uint8   AN25_Read(void);
void    AN25_SetInterruptMode(uint16 position, uint16 mode);
uint8   AN25_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the AN25_SetDriveMode() function.
     *  @{
     */
        #define AN25_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define AN25_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define AN25_DM_RES_UP          PIN_DM_RES_UP
        #define AN25_DM_RES_DWN         PIN_DM_RES_DWN
        #define AN25_DM_OD_LO           PIN_DM_OD_LO
        #define AN25_DM_OD_HI           PIN_DM_OD_HI
        #define AN25_DM_STRONG          PIN_DM_STRONG
        #define AN25_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define AN25_MASK               AN25__MASK
#define AN25_SHIFT              AN25__SHIFT
#define AN25_WIDTH              1u

/* Interrupt constants */
#if defined(AN25__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in AN25_SetInterruptMode() function.
     *  @{
     */
        #define AN25_INTR_NONE      (uint16)(0x0000u)
        #define AN25_INTR_RISING    (uint16)(0x0001u)
        #define AN25_INTR_FALLING   (uint16)(0x0002u)
        #define AN25_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define AN25_INTR_MASK      (0x01u) 
#endif /* (AN25__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AN25_PS                     (* (reg8 *) AN25__PS)
/* Data Register */
#define AN25_DR                     (* (reg8 *) AN25__DR)
/* Port Number */
#define AN25_PRT_NUM                (* (reg8 *) AN25__PRT) 
/* Connect to Analog Globals */                                                  
#define AN25_AG                     (* (reg8 *) AN25__AG)                       
/* Analog MUX bux enable */
#define AN25_AMUX                   (* (reg8 *) AN25__AMUX) 
/* Bidirectional Enable */                                                        
#define AN25_BIE                    (* (reg8 *) AN25__BIE)
/* Bit-mask for Aliased Register Access */
#define AN25_BIT_MASK               (* (reg8 *) AN25__BIT_MASK)
/* Bypass Enable */
#define AN25_BYP                    (* (reg8 *) AN25__BYP)
/* Port wide control signals */                                                   
#define AN25_CTL                    (* (reg8 *) AN25__CTL)
/* Drive Modes */
#define AN25_DM0                    (* (reg8 *) AN25__DM0) 
#define AN25_DM1                    (* (reg8 *) AN25__DM1)
#define AN25_DM2                    (* (reg8 *) AN25__DM2) 
/* Input Buffer Disable Override */
#define AN25_INP_DIS                (* (reg8 *) AN25__INP_DIS)
/* LCD Common or Segment Drive */
#define AN25_LCD_COM_SEG            (* (reg8 *) AN25__LCD_COM_SEG)
/* Enable Segment LCD */
#define AN25_LCD_EN                 (* (reg8 *) AN25__LCD_EN)
/* Slew Rate Control */
#define AN25_SLW                    (* (reg8 *) AN25__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define AN25_PRTDSI__CAPS_SEL       (* (reg8 *) AN25__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define AN25_PRTDSI__DBL_SYNC_IN    (* (reg8 *) AN25__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define AN25_PRTDSI__OE_SEL0        (* (reg8 *) AN25__PRTDSI__OE_SEL0) 
#define AN25_PRTDSI__OE_SEL1        (* (reg8 *) AN25__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define AN25_PRTDSI__OUT_SEL0       (* (reg8 *) AN25__PRTDSI__OUT_SEL0) 
#define AN25_PRTDSI__OUT_SEL1       (* (reg8 *) AN25__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define AN25_PRTDSI__SYNC_OUT       (* (reg8 *) AN25__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(AN25__SIO_CFG)
    #define AN25_SIO_HYST_EN        (* (reg8 *) AN25__SIO_HYST_EN)
    #define AN25_SIO_REG_HIFREQ     (* (reg8 *) AN25__SIO_REG_HIFREQ)
    #define AN25_SIO_CFG            (* (reg8 *) AN25__SIO_CFG)
    #define AN25_SIO_DIFF           (* (reg8 *) AN25__SIO_DIFF)
#endif /* (AN25__SIO_CFG) */

/* Interrupt Registers */
#if defined(AN25__INTSTAT)
    #define AN25_INTSTAT            (* (reg8 *) AN25__INTSTAT)
    #define AN25_SNAP               (* (reg8 *) AN25__SNAP)
    
	#define AN25_0_INTTYPE_REG 		(* (reg8 *) AN25__0__INTTYPE)
#endif /* (AN25__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_AN25_H */


/* [] END OF FILE */
