/*******************************************************************************
* File Name: AN26.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AN26_H) /* Pins AN26_H */
#define CY_PINS_AN26_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "AN26_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 AN26__PORT == 15 && ((AN26__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    AN26_Write(uint8 value);
void    AN26_SetDriveMode(uint8 mode);
uint8   AN26_ReadDataReg(void);
uint8   AN26_Read(void);
void    AN26_SetInterruptMode(uint16 position, uint16 mode);
uint8   AN26_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the AN26_SetDriveMode() function.
     *  @{
     */
        #define AN26_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define AN26_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define AN26_DM_RES_UP          PIN_DM_RES_UP
        #define AN26_DM_RES_DWN         PIN_DM_RES_DWN
        #define AN26_DM_OD_LO           PIN_DM_OD_LO
        #define AN26_DM_OD_HI           PIN_DM_OD_HI
        #define AN26_DM_STRONG          PIN_DM_STRONG
        #define AN26_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define AN26_MASK               AN26__MASK
#define AN26_SHIFT              AN26__SHIFT
#define AN26_WIDTH              1u

/* Interrupt constants */
#if defined(AN26__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in AN26_SetInterruptMode() function.
     *  @{
     */
        #define AN26_INTR_NONE      (uint16)(0x0000u)
        #define AN26_INTR_RISING    (uint16)(0x0001u)
        #define AN26_INTR_FALLING   (uint16)(0x0002u)
        #define AN26_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define AN26_INTR_MASK      (0x01u) 
#endif /* (AN26__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AN26_PS                     (* (reg8 *) AN26__PS)
/* Data Register */
#define AN26_DR                     (* (reg8 *) AN26__DR)
/* Port Number */
#define AN26_PRT_NUM                (* (reg8 *) AN26__PRT) 
/* Connect to Analog Globals */                                                  
#define AN26_AG                     (* (reg8 *) AN26__AG)                       
/* Analog MUX bux enable */
#define AN26_AMUX                   (* (reg8 *) AN26__AMUX) 
/* Bidirectional Enable */                                                        
#define AN26_BIE                    (* (reg8 *) AN26__BIE)
/* Bit-mask for Aliased Register Access */
#define AN26_BIT_MASK               (* (reg8 *) AN26__BIT_MASK)
/* Bypass Enable */
#define AN26_BYP                    (* (reg8 *) AN26__BYP)
/* Port wide control signals */                                                   
#define AN26_CTL                    (* (reg8 *) AN26__CTL)
/* Drive Modes */
#define AN26_DM0                    (* (reg8 *) AN26__DM0) 
#define AN26_DM1                    (* (reg8 *) AN26__DM1)
#define AN26_DM2                    (* (reg8 *) AN26__DM2) 
/* Input Buffer Disable Override */
#define AN26_INP_DIS                (* (reg8 *) AN26__INP_DIS)
/* LCD Common or Segment Drive */
#define AN26_LCD_COM_SEG            (* (reg8 *) AN26__LCD_COM_SEG)
/* Enable Segment LCD */
#define AN26_LCD_EN                 (* (reg8 *) AN26__LCD_EN)
/* Slew Rate Control */
#define AN26_SLW                    (* (reg8 *) AN26__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define AN26_PRTDSI__CAPS_SEL       (* (reg8 *) AN26__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define AN26_PRTDSI__DBL_SYNC_IN    (* (reg8 *) AN26__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define AN26_PRTDSI__OE_SEL0        (* (reg8 *) AN26__PRTDSI__OE_SEL0) 
#define AN26_PRTDSI__OE_SEL1        (* (reg8 *) AN26__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define AN26_PRTDSI__OUT_SEL0       (* (reg8 *) AN26__PRTDSI__OUT_SEL0) 
#define AN26_PRTDSI__OUT_SEL1       (* (reg8 *) AN26__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define AN26_PRTDSI__SYNC_OUT       (* (reg8 *) AN26__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(AN26__SIO_CFG)
    #define AN26_SIO_HYST_EN        (* (reg8 *) AN26__SIO_HYST_EN)
    #define AN26_SIO_REG_HIFREQ     (* (reg8 *) AN26__SIO_REG_HIFREQ)
    #define AN26_SIO_CFG            (* (reg8 *) AN26__SIO_CFG)
    #define AN26_SIO_DIFF           (* (reg8 *) AN26__SIO_DIFF)
#endif /* (AN26__SIO_CFG) */

/* Interrupt Registers */
#if defined(AN26__INTSTAT)
    #define AN26_INTSTAT            (* (reg8 *) AN26__INTSTAT)
    #define AN26_SNAP               (* (reg8 *) AN26__SNAP)
    
	#define AN26_0_INTTYPE_REG 		(* (reg8 *) AN26__0__INTTYPE)
#endif /* (AN26__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_AN26_H */


/* [] END OF FILE */
