/*******************************************************************************
* File Name: AN27.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AN27_H) /* Pins AN27_H */
#define CY_PINS_AN27_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "AN27_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 AN27__PORT == 15 && ((AN27__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    AN27_Write(uint8 value);
void    AN27_SetDriveMode(uint8 mode);
uint8   AN27_ReadDataReg(void);
uint8   AN27_Read(void);
void    AN27_SetInterruptMode(uint16 position, uint16 mode);
uint8   AN27_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the AN27_SetDriveMode() function.
     *  @{
     */
        #define AN27_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define AN27_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define AN27_DM_RES_UP          PIN_DM_RES_UP
        #define AN27_DM_RES_DWN         PIN_DM_RES_DWN
        #define AN27_DM_OD_LO           PIN_DM_OD_LO
        #define AN27_DM_OD_HI           PIN_DM_OD_HI
        #define AN27_DM_STRONG          PIN_DM_STRONG
        #define AN27_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define AN27_MASK               AN27__MASK
#define AN27_SHIFT              AN27__SHIFT
#define AN27_WIDTH              1u

/* Interrupt constants */
#if defined(AN27__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in AN27_SetInterruptMode() function.
     *  @{
     */
        #define AN27_INTR_NONE      (uint16)(0x0000u)
        #define AN27_INTR_RISING    (uint16)(0x0001u)
        #define AN27_INTR_FALLING   (uint16)(0x0002u)
        #define AN27_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define AN27_INTR_MASK      (0x01u) 
#endif /* (AN27__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AN27_PS                     (* (reg8 *) AN27__PS)
/* Data Register */
#define AN27_DR                     (* (reg8 *) AN27__DR)
/* Port Number */
#define AN27_PRT_NUM                (* (reg8 *) AN27__PRT) 
/* Connect to Analog Globals */                                                  
#define AN27_AG                     (* (reg8 *) AN27__AG)                       
/* Analog MUX bux enable */
#define AN27_AMUX                   (* (reg8 *) AN27__AMUX) 
/* Bidirectional Enable */                                                        
#define AN27_BIE                    (* (reg8 *) AN27__BIE)
/* Bit-mask for Aliased Register Access */
#define AN27_BIT_MASK               (* (reg8 *) AN27__BIT_MASK)
/* Bypass Enable */
#define AN27_BYP                    (* (reg8 *) AN27__BYP)
/* Port wide control signals */                                                   
#define AN27_CTL                    (* (reg8 *) AN27__CTL)
/* Drive Modes */
#define AN27_DM0                    (* (reg8 *) AN27__DM0) 
#define AN27_DM1                    (* (reg8 *) AN27__DM1)
#define AN27_DM2                    (* (reg8 *) AN27__DM2) 
/* Input Buffer Disable Override */
#define AN27_INP_DIS                (* (reg8 *) AN27__INP_DIS)
/* LCD Common or Segment Drive */
#define AN27_LCD_COM_SEG            (* (reg8 *) AN27__LCD_COM_SEG)
/* Enable Segment LCD */
#define AN27_LCD_EN                 (* (reg8 *) AN27__LCD_EN)
/* Slew Rate Control */
#define AN27_SLW                    (* (reg8 *) AN27__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define AN27_PRTDSI__CAPS_SEL       (* (reg8 *) AN27__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define AN27_PRTDSI__DBL_SYNC_IN    (* (reg8 *) AN27__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define AN27_PRTDSI__OE_SEL0        (* (reg8 *) AN27__PRTDSI__OE_SEL0) 
#define AN27_PRTDSI__OE_SEL1        (* (reg8 *) AN27__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define AN27_PRTDSI__OUT_SEL0       (* (reg8 *) AN27__PRTDSI__OUT_SEL0) 
#define AN27_PRTDSI__OUT_SEL1       (* (reg8 *) AN27__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define AN27_PRTDSI__SYNC_OUT       (* (reg8 *) AN27__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(AN27__SIO_CFG)
    #define AN27_SIO_HYST_EN        (* (reg8 *) AN27__SIO_HYST_EN)
    #define AN27_SIO_REG_HIFREQ     (* (reg8 *) AN27__SIO_REG_HIFREQ)
    #define AN27_SIO_CFG            (* (reg8 *) AN27__SIO_CFG)
    #define AN27_SIO_DIFF           (* (reg8 *) AN27__SIO_DIFF)
#endif /* (AN27__SIO_CFG) */

/* Interrupt Registers */
#if defined(AN27__INTSTAT)
    #define AN27_INTSTAT            (* (reg8 *) AN27__INTSTAT)
    #define AN27_SNAP               (* (reg8 *) AN27__SNAP)
    
	#define AN27_0_INTTYPE_REG 		(* (reg8 *) AN27__0__INTTYPE)
#endif /* (AN27__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_AN27_H */


/* [] END OF FILE */
