/*******************************************************************************
* File Name: AN29.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AN29_H) /* Pins AN29_H */
#define CY_PINS_AN29_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "AN29_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 AN29__PORT == 15 && ((AN29__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    AN29_Write(uint8 value);
void    AN29_SetDriveMode(uint8 mode);
uint8   AN29_ReadDataReg(void);
uint8   AN29_Read(void);
void    AN29_SetInterruptMode(uint16 position, uint16 mode);
uint8   AN29_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the AN29_SetDriveMode() function.
     *  @{
     */
        #define AN29_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define AN29_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define AN29_DM_RES_UP          PIN_DM_RES_UP
        #define AN29_DM_RES_DWN         PIN_DM_RES_DWN
        #define AN29_DM_OD_LO           PIN_DM_OD_LO
        #define AN29_DM_OD_HI           PIN_DM_OD_HI
        #define AN29_DM_STRONG          PIN_DM_STRONG
        #define AN29_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define AN29_MASK               AN29__MASK
#define AN29_SHIFT              AN29__SHIFT
#define AN29_WIDTH              1u

/* Interrupt constants */
#if defined(AN29__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in AN29_SetInterruptMode() function.
     *  @{
     */
        #define AN29_INTR_NONE      (uint16)(0x0000u)
        #define AN29_INTR_RISING    (uint16)(0x0001u)
        #define AN29_INTR_FALLING   (uint16)(0x0002u)
        #define AN29_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define AN29_INTR_MASK      (0x01u) 
#endif /* (AN29__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AN29_PS                     (* (reg8 *) AN29__PS)
/* Data Register */
#define AN29_DR                     (* (reg8 *) AN29__DR)
/* Port Number */
#define AN29_PRT_NUM                (* (reg8 *) AN29__PRT) 
/* Connect to Analog Globals */                                                  
#define AN29_AG                     (* (reg8 *) AN29__AG)                       
/* Analog MUX bux enable */
#define AN29_AMUX                   (* (reg8 *) AN29__AMUX) 
/* Bidirectional Enable */                                                        
#define AN29_BIE                    (* (reg8 *) AN29__BIE)
/* Bit-mask for Aliased Register Access */
#define AN29_BIT_MASK               (* (reg8 *) AN29__BIT_MASK)
/* Bypass Enable */
#define AN29_BYP                    (* (reg8 *) AN29__BYP)
/* Port wide control signals */                                                   
#define AN29_CTL                    (* (reg8 *) AN29__CTL)
/* Drive Modes */
#define AN29_DM0                    (* (reg8 *) AN29__DM0) 
#define AN29_DM1                    (* (reg8 *) AN29__DM1)
#define AN29_DM2                    (* (reg8 *) AN29__DM2) 
/* Input Buffer Disable Override */
#define AN29_INP_DIS                (* (reg8 *) AN29__INP_DIS)
/* LCD Common or Segment Drive */
#define AN29_LCD_COM_SEG            (* (reg8 *) AN29__LCD_COM_SEG)
/* Enable Segment LCD */
#define AN29_LCD_EN                 (* (reg8 *) AN29__LCD_EN)
/* Slew Rate Control */
#define AN29_SLW                    (* (reg8 *) AN29__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define AN29_PRTDSI__CAPS_SEL       (* (reg8 *) AN29__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define AN29_PRTDSI__DBL_SYNC_IN    (* (reg8 *) AN29__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define AN29_PRTDSI__OE_SEL0        (* (reg8 *) AN29__PRTDSI__OE_SEL0) 
#define AN29_PRTDSI__OE_SEL1        (* (reg8 *) AN29__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define AN29_PRTDSI__OUT_SEL0       (* (reg8 *) AN29__PRTDSI__OUT_SEL0) 
#define AN29_PRTDSI__OUT_SEL1       (* (reg8 *) AN29__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define AN29_PRTDSI__SYNC_OUT       (* (reg8 *) AN29__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(AN29__SIO_CFG)
    #define AN29_SIO_HYST_EN        (* (reg8 *) AN29__SIO_HYST_EN)
    #define AN29_SIO_REG_HIFREQ     (* (reg8 *) AN29__SIO_REG_HIFREQ)
    #define AN29_SIO_CFG            (* (reg8 *) AN29__SIO_CFG)
    #define AN29_SIO_DIFF           (* (reg8 *) AN29__SIO_DIFF)
#endif /* (AN29__SIO_CFG) */

/* Interrupt Registers */
#if defined(AN29__INTSTAT)
    #define AN29_INTSTAT            (* (reg8 *) AN29__INTSTAT)
    #define AN29_SNAP               (* (reg8 *) AN29__SNAP)
    
	#define AN29_0_INTTYPE_REG 		(* (reg8 *) AN29__0__INTTYPE)
#endif /* (AN29__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_AN29_H */


/* [] END OF FILE */
