/*******************************************************************************
* File Name: AN30.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AN30_H) /* Pins AN30_H */
#define CY_PINS_AN30_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "AN30_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 AN30__PORT == 15 && ((AN30__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    AN30_Write(uint8 value);
void    AN30_SetDriveMode(uint8 mode);
uint8   AN30_ReadDataReg(void);
uint8   AN30_Read(void);
void    AN30_SetInterruptMode(uint16 position, uint16 mode);
uint8   AN30_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the AN30_SetDriveMode() function.
     *  @{
     */
        #define AN30_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define AN30_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define AN30_DM_RES_UP          PIN_DM_RES_UP
        #define AN30_DM_RES_DWN         PIN_DM_RES_DWN
        #define AN30_DM_OD_LO           PIN_DM_OD_LO
        #define AN30_DM_OD_HI           PIN_DM_OD_HI
        #define AN30_DM_STRONG          PIN_DM_STRONG
        #define AN30_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define AN30_MASK               AN30__MASK
#define AN30_SHIFT              AN30__SHIFT
#define AN30_WIDTH              1u

/* Interrupt constants */
#if defined(AN30__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in AN30_SetInterruptMode() function.
     *  @{
     */
        #define AN30_INTR_NONE      (uint16)(0x0000u)
        #define AN30_INTR_RISING    (uint16)(0x0001u)
        #define AN30_INTR_FALLING   (uint16)(0x0002u)
        #define AN30_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define AN30_INTR_MASK      (0x01u) 
#endif /* (AN30__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AN30_PS                     (* (reg8 *) AN30__PS)
/* Data Register */
#define AN30_DR                     (* (reg8 *) AN30__DR)
/* Port Number */
#define AN30_PRT_NUM                (* (reg8 *) AN30__PRT) 
/* Connect to Analog Globals */                                                  
#define AN30_AG                     (* (reg8 *) AN30__AG)                       
/* Analog MUX bux enable */
#define AN30_AMUX                   (* (reg8 *) AN30__AMUX) 
/* Bidirectional Enable */                                                        
#define AN30_BIE                    (* (reg8 *) AN30__BIE)
/* Bit-mask for Aliased Register Access */
#define AN30_BIT_MASK               (* (reg8 *) AN30__BIT_MASK)
/* Bypass Enable */
#define AN30_BYP                    (* (reg8 *) AN30__BYP)
/* Port wide control signals */                                                   
#define AN30_CTL                    (* (reg8 *) AN30__CTL)
/* Drive Modes */
#define AN30_DM0                    (* (reg8 *) AN30__DM0) 
#define AN30_DM1                    (* (reg8 *) AN30__DM1)
#define AN30_DM2                    (* (reg8 *) AN30__DM2) 
/* Input Buffer Disable Override */
#define AN30_INP_DIS                (* (reg8 *) AN30__INP_DIS)
/* LCD Common or Segment Drive */
#define AN30_LCD_COM_SEG            (* (reg8 *) AN30__LCD_COM_SEG)
/* Enable Segment LCD */
#define AN30_LCD_EN                 (* (reg8 *) AN30__LCD_EN)
/* Slew Rate Control */
#define AN30_SLW                    (* (reg8 *) AN30__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define AN30_PRTDSI__CAPS_SEL       (* (reg8 *) AN30__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define AN30_PRTDSI__DBL_SYNC_IN    (* (reg8 *) AN30__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define AN30_PRTDSI__OE_SEL0        (* (reg8 *) AN30__PRTDSI__OE_SEL0) 
#define AN30_PRTDSI__OE_SEL1        (* (reg8 *) AN30__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define AN30_PRTDSI__OUT_SEL0       (* (reg8 *) AN30__PRTDSI__OUT_SEL0) 
#define AN30_PRTDSI__OUT_SEL1       (* (reg8 *) AN30__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define AN30_PRTDSI__SYNC_OUT       (* (reg8 *) AN30__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(AN30__SIO_CFG)
    #define AN30_SIO_HYST_EN        (* (reg8 *) AN30__SIO_HYST_EN)
    #define AN30_SIO_REG_HIFREQ     (* (reg8 *) AN30__SIO_REG_HIFREQ)
    #define AN30_SIO_CFG            (* (reg8 *) AN30__SIO_CFG)
    #define AN30_SIO_DIFF           (* (reg8 *) AN30__SIO_DIFF)
#endif /* (AN30__SIO_CFG) */

/* Interrupt Registers */
#if defined(AN30__INTSTAT)
    #define AN30_INTSTAT            (* (reg8 *) AN30__INTSTAT)
    #define AN30_SNAP               (* (reg8 *) AN30__SNAP)
    
	#define AN30_0_INTTYPE_REG 		(* (reg8 *) AN30__0__INTTYPE)
#endif /* (AN30__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_AN30_H */


/* [] END OF FILE */
