#include "project.h"
#include "stdio.h"

#define STR_LEN 128
char str[STR_LEN+1] ;

#define NUM_CH 32

void print(char *str)
{
    UART_PutString(str) ;
}

void init_hardware(void) 
{
    CyGlobalIntEnable; /* Enable global interrupts. */
    UART_Start() ;
    ADC_Start() ;
}

void splash(void)
{
    print("Test How Many ADC input can we use? ") ;
    snprintf(str, STR_LEN, " (%s %s)\n", __DATE__, __TIME__) ;
    print(str) ;
}

void measure(void)
{
    int ch ;
    
    ADC_StartConvert() ;
    ADC_IsEndConversion(ADC_WAIT_FOR_RESULT) ;
    for (ch = 0 ; ch < NUM_CH ; ch++ ) {
        snprintf(str, STR_LEN, "%6d ", ADC_GetResult16(ch)) ;
        print(str) ;
    }
    print("\n") ;
}
    
int main(void)
{
    init_hardware() ;

    splash() ;

    for(;;)
    {
        measure() ;
       
        CyDelay(2000) ;
    }
}

/* [] END OF FILE */
